package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.ScrDataObject;
import cn.estsh.i3plus.pojo.screen.bean.ScrDataObjectIndex;
import cn.estsh.i3plus.pojo.screen.bean.ScrDatasource;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/4/26 00:12
 * @desc
 */
@Data
@Builder
public class ScrDataObjectIndexModel implements Serializable {
    private static final long serialVersionUID = -5784177094937410041L;

    private ScrDatasource datasource;

    private List<ScrDataObject> dataObjects;

    private List<ScrDataObjectIndex> dataObjectIndices;
}
